<?php
header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    try {
        if (isset($_FILES['file'])) {
            $file = $_FILES['file'];
            $uploadDir = 'uploads/profiles/';
            
            // Ensure the upload directory exists
            if (!is_dir($uploadDir)) {
                mkdir($uploadDir, 0777, true);
            }
            
            // Generate a unique filename
            $fileExtension = pathinfo($file['name'], PATHINFO_EXTENSION);
            $uniqueFilename = uniqid('profile_') . '.' . $fileExtension;
            $filePath = $uploadDir . $uniqueFilename;
            
            // Move the uploaded file to the target directory
            if (move_uploaded_file($file['tmp_name'], $filePath)) {
                // Construct the CDN URL
                $cdnUrl = 'https://cdn.talkdrove.com/host/' . $filePath;
                
                echo json_encode([
                    'status' => 'success', 
                    'message' => 'File uploaded successfully', 
                    'path' => $filePath,
                    'cdnUrl' => $cdnUrl
                ]);
            } else {
                throw new Exception('Failed to move uploaded file');
            }
        } else {
            throw new Exception('No file uploaded');
        }
    } catch (Exception $e) {
        http_response_code(400);
        echo json_encode([
            'status' => 'error', 
            'message' => $e->getMessage()
        ]);
    }
} else {
    http_response_code(405);
    echo json_encode([
        'status' => 'error', 
        'message' => 'Invalid request method'
    ]);
}
?>